Bug 821325 - Review Request: python-plumbum - Shell combinators library
Review Request: python-plumbum - Shell combinators library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Radej
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 02:35 EDT by Bohuslav "Slavek" Kabrda
Modified: 2013-03-04 08:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-21 04:09:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tradej: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2012-05-14 02:35:48 EDT
Spec URL: http://bkabrda.fedorapeople.org/pkgs/plumbum/python-plumbum.spec
SRPM URL: http://bkabrda.fedorapeople.org/pkgs/plumbum/python-plumbum-0.9.0-1.fc17.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4075145
Description:
Ever wished the wrist-handiness of shell scripts be put into a real programming
language? Say hello to Plumbum Shell Combinators. Plumbum (Latin for lead,
which was used to create pipes back in the day) is a small yet feature-rich
library for shell script-like programs in Python. The motto of the library is
"Never write shell scripts again", and thus it attempts to mimic the shell
syntax ("shell combinators") where it makes sense, while keeping it all
pythonic and cross-platform.
Comment 1 Tomas Radej 2012-05-14 02:37:09 EDT
Taking it.
Comment 2 Tomas Radej 2012-05-17 10:20:48 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN" For detailed output of licensecheck see file:
     /home/tradej/reviews/821325/licensecheck.txt
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: python-plumbum-0.9.0-1.fc18.noarch.rpm
          python-plumbum-0.9.0-1.fc18.src.rpm
python-plumbum.noarch: W: spelling-error Summary(en_US) combinators -> combinations, combination, contaminators
python-plumbum.noarch: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
python-plumbum.noarch: W: spelling-error %description -l en_US pythonic -> Python, python
python-plumbum.src: W: spelling-error Summary(en_US) combinators -> combinations, combination, contaminators
python-plumbum.src: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
python-plumbum.src: W: spelling-error %description -l en_US pythonic -> Python, python
2 packages and 0 specfiles checked; 0 errors, 6 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
/var/lib/mock/fedora-rawhide-x86_64/result/python-plumbum-0.9.0-1.fc18.noarch.rpm:
    python(abi) = 2.7
    python-six  
    
Provides
--------
/var/lib/mock/fedora-rawhide-x86_64/result/python-plumbum-0.9.0-1.fc18.noarch.rpm:
    python-plumbum = 0.9.0-1.fc18
    
MD5-sum check
-------------
/home/tradej/reviews/821325/plumbum-0.9.0.tar.gz :
  MD5SUM this package     : 3d26aaca527b3bb1a01e25f63a442d8a
  MD5SUM upstream package : 3d26aaca527b3bb1a01e25f63a442d8a


Generated by fedora-review 0.2.0git
External plugins:

*** APPROVED ***
Comment 3 Bohuslav "Slavek" Kabrda 2012-05-18 01:37:41 EDT
Thanks for your review!

New Package SCM Request
=======================
Package Name: python-plumbum
Short Description: Shell combinators library
Owners: bkabrda
Branches: 
InitialCC:
Comment 4 Jason Tibbitts 2012-05-19 14:36:04 EDT
Git done (by process-git-requests).
Comment 5 Bohuslav "Slavek" Kabrda 2013-03-04 05:05:39 EST
Package Change Request
======================
Package Name: python-plumbum
New Branches: el5 el6
Owners: lorenzodalrio
Comment 6 Gwyn Ciesla 2013-03-04 08:34:12 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.